Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/build-support-disabled/rust/watcher.sh
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2025-03-16 20:12:42 +0100
committerAndreas Baumann <mail@andreasbaumann.cc>2025-03-16 20:12:42 +0100
commitb79b42e58b90a54eb5644ae10d04b5bfde26fb75 (patch)
treeefc264b13e87d1fccab33b445d86c9ed7147bc61 /build-support-disabled/rust/watcher.sh
parentfc72f1b90bda328df3f4531ca2814a1205f92396 (diff)
moved build-support/disabled to build-support-disabled (collides with some pkginfo stuff otherwise)
Diffstat (limited to 'build-support-disabled/rust/watcher.sh')
-rwxr-xr-xbuild-support-disabled/rust/watcher.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/build-support-disabled/rust/watcher.sh b/build-support-disabled/rust/watcher.sh
new file mode 100755
index 00000000..544c3712
--- /dev/null
+++ b/build-support-disabled/rust/watcher.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+term() {
+ echo "--> Got SIGTERM"
+ echo "--> killing inotifywait with PID $inotifywait"
+ kill -TERM "$inotifywait"
+}
+
+srcdir="$1"
+
+trap term SIGTERM
+
+inotifywait -mr -e close_write --format %w%f $srcdir | while read -r FILE; do
+ case "$FILE" in
+ *consts.rs)
+ echo "--> patching $FILE"
+ sed -i '/pub type U1024/d;/pub type P1024/d' $FILE
+ echo "--> finished patching $FILE"
+ ;;
+ esac
+done &
+inotifywait=$(ps -ef | grep inotifywait | grep -v grep | tr -s ' ' | cut -d ' ' -f2)
+echo "--> waiting for inotifywait $inotifywait"
+wait "$inotifywait"
+echo "--> watcher terminated"